function [Sum] = Hypergeometric2f1(a,b,c,x)
%Computes gauss hypergeometric function using Pad approximant to
%accelerate convergence
rerr = 1e-8; %relative error
aerr = 1e-35; %absolute error
last = 0;
s = [];
if a < 0 && a - fix(a) == 0
    kup = -a;
elseif b < 0 && b - fix(b) == 0
    kup = -b;
else
    kup = 1000; %upper limit is arbitrary and should not be reached
end
if x ~= 1
    for k = 0:kup
        pocha = Pochhammer(a,k);
        pochb = Pochhammer(b,k);
        pochc = Pochhammer(c,k);
        s=[s pocha*pochb*x^k/(pochc*gamma(k+1))];
        Sum = Padesum(s);
        if abs(Sum - last) <= rerr*abs(Sum) + aerr
            return
        end
        last = Sum;
    end
else
    Sum = gamma(c)*gamma(c-a-b)/(gamma(c-a)*gamma(c-b));
end
end

